<!DOCTYPE HTML>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="./index.css">
        <title>Activity: CSS Introduction</title>
    </head>
    <body>
        <style>
            .in {
                color: red;
            }
            #h2 {
                text-transform: uppercase;
            }
            .language {
                background-color: pink;
            }
            [type="tools"]{
                border: 2px solid aquamarine;
            }
        </style>

        <!-- Different ways to include CSS -->
        <p style="color:blue;">Apply inline styling here.</p>
        <p class="in">Apply internal styling here.</p>
        <p>Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="h2">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="language">Hypertext Markup Language</li>
            <li class="language">Cascading Style Sheet</li>
            <li class="language">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li type="tools">Sublime Text</li>
            <li type="tools">Postman</li>
            <li type="tools">Heroku</li>
            <li type="tools">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>

        </section>
        <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>

    </body>
</html>
